GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::GeneralDialog Class Reference
Inheritance diagram for GpgFrontend::UI::GeneralDialog:
Collaboration diagram for GpgFrontend::UI::GeneralDialog:

## Public Member Functions
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Protected Member Functions
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Private Slots
void | slot_restore_settings () noexcept
void | slot_save_settings () noexcept

## Private Attributes
std::string | name_
QPoint | pos_
QSize | size_
QPoint | parent_pos_
QSize | parent_size_

## Constructor & Destructor Documentation

## ◆ GeneralDialog()

GpgFrontend::UI::GeneralDialog::GeneralDialog | ( | std::string | name,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

Parameters

  name |

The documentation for this class was generated from the following files:

- src/ui/dialog/GeneralDialog.h
- src/ui/dialog/GeneralDialog.cpp